Get the status of a batch scrape job
curl --request GET \
--url https://api.firecrawl.dev/v1/batch/scrape/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firecrawl.dev/v1/batch/scrape/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firecrawl.dev/v1/batch/scrape/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"total": 123,
"completed": 123,
"creditsUsed": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"next": "<string>",
"data": [
{
"markdown": "<string>",
"html": "<string>",
"rawHtml": "<string>",
"links": [
"<string>"
],
"screenshot": "<string>",
"metadata": {
"title": "<string>",
"description": "<string>",
"language": "<string>",
"sourceURL": "<string>",
"<any other metadata> ": "<string>",
"statusCode": 123,
"error": "<string>"
}
}
]
}{
"error": "Payment required to access this resource."
}{
"error": "Request rate limit exceeded. Please wait and try again later."
}{
"error": "An unexpected error occurred on the server."
}抓取接口
获取批量抓取状态
GET
/
batch
/
scrape
/
{id}
Get the status of a batch scrape job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the batch scrape job
Response
Successful response
The current status of the batch scrape. Can be scraping, completed, or failed.
The total number of pages that were attempted to be scraped.
The number of pages that have been successfully scraped.
The number of credits used for the batch scrape.
The date and time when the batch scrape will expire.
The URL to retrieve the next 10MB of data. Returned if the batch scrape is not completed or if the response is larger than 10MB.
The data of the batch scrape.
Show child attributes
Show child attributes
⌘I